### Method

# Gimp ColorProfile get_format

since: 2.10

#### Declaration [src]

    const Babl*
    gimp_color_profile_get_format (
      GimpColorProfile* profile,
      const Babl* format,
      GimpColorRenderingIntent intent,
      GError** error
    )

#### Description [src]

This function takes a `GimpColorProfile` and a `Babl` format and returns a new `Babl` format with `profile`‘s RGB primaries and TRC, and `format`‘s pixel layout.

Available since: 2.10

#### Parameters

`format`

  Type: `Babl`

  A `Babl` format.

  The data is owned by the caller of the function.

`intent`

  Type: `GimpColorRenderingIntent`

  A `GimpColorRenderingIntent`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `Babl`

The new `Babl` format.

The data is owned by the instance.